/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct TestSiteUrlRequest {
    /// The Site URL to test
    #[serde(rename = "site_url")]
    pub site_url: String,
}

impl TestSiteUrlRequest {
    pub fn new(site_url: String) -> TestSiteUrlRequest {
        TestSiteUrlRequest { site_url }
    }
}
